<template lang="pug">
  section.steps
    .steps__wrap.wrap
      h1.steps__title.title-1 Мы ценим ваше время и гарантируем высокое качество на каждом этапе работ
      .steps__main
        ul.steps__elems
          li.steps__elem
            i.steps__icon: img(src="@/assets/img/icon-phone.svg" alt="icon-phone")
            h4.steps__title.title-4 Оставляете заявку
            p.steps__text Мы перезваниваем вам в течении 10 минут, детально узнаем о объеме работ и удобном для вас времени
          li.steps__elem
            i.steps__icon: img(src="@/assets/img/icon-cleaner.svg" alt="icon-cleaner")
            h4.steps__title.title-4 Мы убираем
            p.steps__text Мы перезваниваем вам в течении 10 минут, детально узнаем о объеме работ и удобном для вас времени
          li.steps__elem
            i.steps__icon: img(src="@/assets/img/icon-guarantee.svg" alt="icon-guarantee")
            h4.steps__title.title-4 Вы наслаждаетесь результатом
            p.steps__text Результат нашей работы не оставит вас равнодушным. Все работы выпоняются в строго оговоренные сроки
    .steps__curves
      .steps__bg
      img(src="@/assets/img/Subtract.png" alt="icon-guarantee")
      .steps__bottom
</template>

<script>
export default {
  name: "vSteps",
  mounted() {
    const scene1 = this.$scrollmagic
      .scene({
        triggerElement: ".steps",
        triggerHook: 0.3,
        duration: 1000,
      })
      .setTween(".steps__bg", {
        css: {
          transform: "translateX(100%)",
        },
      })
    this.$scrollmagic.addScene(scene1);

    const scene2 = this.$scrollmagic
      .scene({
        triggerElement: ".steps",
        triggerHook: 0.3,
        reverse: false
      })
      .setClassToggle(".steps__elem", "fade-out")
    this.$scrollmagic.addScene(scene2);

    const scene3 = this.$scrollmagic
      .scene({
        triggerElement: ".steps",
        triggerHook: 0.1,
      })
      .setTween(".steps__curves", {
        css: {
          backgroundColor: "#F25929",
        },
      })
    this.$scrollmagic.addScene(scene3);
  },
};
</script>

<style lang="scss">
.steps {
  position: relative;
  overflow: hidden;

  background-color: $smooth-blue;
  &__wrap {
    padding-top: 100px !important;
    padding-bottom: 100px !important;
  }
  &__title {
    position: relative;
    z-index: 1000;

    max-width: 730px;
    color: $white !important;
  }
  &__main {
    margin-top: 135px;
  }
  &__elems {
    position: relative;
    z-index: 100;

    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 47px;

    list-style: none;
    @media (max-width: 1302px) {
      grid-template-columns: 1fr 1fr;
    }
    @media (max-width: 700px) {
      grid-template-columns: 1fr;
    }
  }
  &__elem {
    height: fit-content;

    padding: 40px 32px 48px 53px;
    box-sizing: border-box;
    box-shadow: 0px 12px 40px 2px rgba(0, 0, 0, 0.05);
    border-radius: 4px;

    background-color: $light-smooth-blue;
    opacity: 0;
    transition: all 0.3s;
    &:hover {
      box-shadow: 0px 12px 70px 5px rgba(0, 0, 0, 0.05);
      .steps__icon img {
        animation: little-shake 1s cubic-bezier(0.36, 0.07, 0.19, 0.97) both;
      }
    }
    &:nth-child(2).fade-out {
      animation: fade-out 0.8s ease-in-out both;
      animation-delay: 0.3s;
    }
    &:nth-child(3).fade-out {
      animation: fade-out 0.8s ease-in-out both;
      animation-delay: 0.6s;
    }
    &:nth-child(1).fade-out {
      animation: fade-out 0.8s ease-in-out both;
    }
  }
  &__title {
    margin: 0;
    margin-bottom: 8px;
  }
  &__text {
    margin: 0;

    font: 300 16px/24px "Museo Sans", sans-serif;
    color: $white;
  }
  &__icon {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 76px;
    height: 76px;

    margin-bottom: 24px;
    border-radius: 38px;

    background-color: $smooth-blue;
  }
  &__curves {
    background-color: #293255;
    position: absolute;
    top: 16%;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    img {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 100;
    }
  }
  &__bg {
    position: absolute;
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    transform: translateX(-100%);
    background-color: $orange;
  }
  &__bottom {
    position: absolute;
    bottom: 105px;

    height: 100px;
    width: 100%;

    background-color: $smooth-blue;
    @media (max-width: 1302px) {
      height: 600px;
    }
    @media (max-width: 700px) {
      height: 900px;
    }
  }
}

@keyframes little-shake {
  10%,
  90% {
    transform: translate3d(-1px, 0, 0);
  }

  20%,
  80% {
    transform: translate3d(2px, 0, 0);
  }

  30%,
  50%,
  70% {
    transform: translate3d(-4px, 0, 0);
  }

  40%,
  60% {
    transform: translate3d(4px, 0, 0);
  }
}

@keyframes fade-out {
  0% {
    transform: translateY(160px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}
</style>
